Page MenuHomePhabricator

UI of lazy loaded smaller images is distracting
Closed, ResolvedPublic1 Story Points

Description

See:

  • When an image is less than 80px do not show a spinner.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterDon't serve spinner in raw HTML

Related Objects

Event Timeline

Jdlrobson created this task.Mar 7 2016, 5:30 PM
Jdlrobson updated the task description. (Show Details)Mar 7 2016, 5:39 PM

If the images are less than 80px width OR 80px height, the spinner should not be shown. the placeholder would be just the grey box.

Nirzar removed Nirzar as the assignee of this task.Mar 12 2016, 12:13 AM
Jdlrobson set the point value for this task to 1.Mar 12 2016, 12:50 AM
Jdlrobson updated the task description. (Show Details)Mar 14 2016, 4:28 PM
Jdlrobson updated the task description. (Show Details)

I accidentally fixed this as part of some other work. Will post patch shortly.

I accidentally fixed this as part of some other work. Will post patch shortly.

HOW DARE YOU! ;)

Change 277568 had a related patch set uploaded (by Jdlrobson):
Don't serve spinner in raw HTML

https://gerrit.wikimedia.org/r/277568

jhobs reassigned this task from jhobs to Jdlrobson.Mar 15 2016, 7:04 PM
jhobs added a subscriber: jhobs.

Change 277568 merged by jenkins-bot:
Don't serve spinner in raw HTML

https://gerrit.wikimedia.org/r/277568